--                ~ utf-8 ~

SET NAMES 'utf8' COLLATE 'utf8_general_ci';

-- current database
ALTER DATABASE CHARACTER SET 'utf8' COLLATE 'utf8_general_ci';

-- CAMERAS
ALTER TABLE `CAMERAS` CHANGE `BIND_MAC` `BIND_MAC` CHAR( 17 )
  CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'BIND MAC ADDR: xx:xx:xx-xx:xx:xx or local';
ALTER TABLE `CAMERAS` CHANGE `CAM_NR` `CAM_NR` TINYINT UNSIGNED NOT NULL;

-- EVENTS
ALTER TABLE `EVENTS` CHARACTER SET ascii COLLATE ascii_bin;
ALTER TABLE `EVENTS` CHANGE `CAM_NR` `CAM_NR` TINYINT UNSIGNED NOT NULL;
ALTER TABLE `EVENTS` CHANGE `EVT_CONT` `EVT_CONT` CHAR(125) NOT NULL;

-- USERS
ALTER TABLE `USERS` COMMENT = '';
ALTER TABLE `USERS` CHANGE `ALLOW_CAMS`
  `ALLOW_CAMS` CHAR(255) CHARACTER SET ascii COLLATE ascii_bin
  NULL DEFAULT NULL COMMENT 'Cameras ACL';
ALTER TABLE `USERS` CHANGE `PASSWD` `PASSWD` CHAR(41) CHARACTER SET ascii COLLATE ascii_bin NULL DEFAULT NULL; 
ALTER TABLE `USERS` CHANGE `LIMIT_FPS` `LIMIT_FPS` CHAR(5) CHARACTER SET ascii COLLATE ascii_bin NULL DEFAULT NULL;
ALTER TABLE `USERS`
  ADD `FORCED_SAVING_LIMIT` SMALLINT NULL DEFAULT NULL COMMENT 'in minutes' AFTER `ALLOW_CAMS`,
  ADD `SESSIONS_PER_CAM` tinyint unsigned NULL DEFAULT NULL AFTER `FORCED_SAVING_LIMIT`,
  ADD `NONMOTION_FPS` CHAR(5) CHARACTER SET ascii COLLATE ascii_bin NULL DEFAULT NULL AFTER `LIMIT_FPS`,
  ADD `SESSION_TIME` int unsigned NULL DEFAULT NULL COMMENT 'in minutes' AFTER `LIMIT_KBPS`,
  ADD `SESSION_VOLUME` int unsigned NULL DEFAULT NULL COMMENT 'in MBytes'AFTER `SESSION_TIME`;

-- MONITORS
ALTER TABLE `MONITORS` CHANGE `BIND_MAC` `BIND_MAC` char(17)
  CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT '';
ALTER TABLE `MONITORS` CHANGE `DISPLAY` `DISPLAY` char(1)
  CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT 'L' COMMENT '(L)eft or (R)ight on dual-head system';
ALTER TABLE `MONITORS` CHANGE `MON_TYPE` `MON_TYPE` char(16)
  CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL;
ALTER TABLE `MONITORS` 
  ADD `WIN26` TINYINT UNSIGNED NULL DEFAULT NULL AFTER `WIN25`,
  ADD `WIN27` TINYINT UNSIGNED NULL DEFAULT NULL AFTER `WIN26`,
  ADD `WIN28` TINYINT UNSIGNED NULL DEFAULT NULL AFTER `WIN27`,
  ADD `WIN29` TINYINT UNSIGNED NULL DEFAULT NULL AFTER `WIN28`,
  ADD `WIN30` TINYINT UNSIGNED NULL DEFAULT NULL AFTER `WIN29`,
  ADD `WIN31` TINYINT UNSIGNED NULL DEFAULT NULL AFTER `WIN30`,
  ADD `WIN32` TINYINT UNSIGNED NULL DEFAULT NULL AFTER `WIN31`;

-- EVENTS DATA
UPDATE EVENTS
   SET DT1=(@temp:=DT1), DT1 = DT2, DT2 = @temp
   WHERE EVT_ID IN (23,32) AND DT1 < DT2;
UPDATE EVENTS
   SET EVT_CONT = RTRIM(TRIM(TRAILING '\0' from EVT_CONT));

optimize table EVENTS;
