--                ~ utf-8 ~

SET NAMES 'utf8' COLLATE 'utf8_general_ci';

-- 1) rename SQL-reserved fields names
-- 2) s/{tiny,small}int/int/, remove mysql-specific ""
-- 3) varchar -> varchar

ALTER TABLE `CAMERAS`
   CHANGE `BIND_MAC` `BIND_MAC` varchar(17) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'BIND MAC ADDR: xx:xx:xx-xx:xx:xx or local',
   CHANGE `CAM_NR` `CAM_NR` INT NULL DEFAULT NULL,
   CHANGE `PARAM` `PARNAME` varchar(30) CHARACTER SET ascii COLLATE ascii_bin NOT NULL,
   CHANGE `VALUE` `PARVAL` varchar(200) NULL DEFAULT NULL,
   CHANGE `CHANGE_HOST` `CHANGE_HOST` varchar(60) NOT NULL,
   CHANGE `CHANGE_USER` `CHANGE_USER` varchar(16) NOT NULL;

ALTER TABLE `EVENTS`
   CHANGE `CAM_NR` `CAM_NR` INT NULL DEFAULT NULL,
   CHANGE `EVT_ID` `EVT_ID` INT NULL DEFAULT NULL,
   CHANGE `SER_NR` `SESS_NR` INT NULL DEFAULT NULL,
   CHANGE `FILESZ_KB` `FILESZ_KB` INT NULL DEFAULT NULL COMMENT 'KiloBytes',
   CHANGE `FRAMES` `FRAMES` INT NULL DEFAULT NULL,
   CHANGE `U16_1` `ALT1` INT NULL DEFAULT NULL,
   CHANGE `U16_2` `ALT2` INT NULL DEFAULT NULL,
   CHANGE `EVT_CONT` `EVT_CONT`  varchar(150) NOT NULL;

ALTER TABLE `USERS`
   CHANGE `HOST` `ALLOW_FROM` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
   CHANGE `USER` `USER_LOGIN` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
   CHANGE `PASSWD` `PASSWD`   varchar(41) CHARACTER SET ascii COLLATE ascii_bin NOT NULL,
   CHANGE `STATUS` `STATUS` INT NOT NULL,
   ADD `GUEST` INT NOT NULL DEFAULT '0' COMMENT 'Allows GUEST mode' AFTER `STATUS`,
   ADD `PDA` INT NOT NULL DEFAULT '1' COMMENT 'Allows pda/* access' AFTER `GUEST`,
   CHANGE `ALLOW_CAMS` `ALLOW_CAMS` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NULL DEFAULT NULL COMMENT 'Cameras ACL',
   ADD `ALLOW_LAYOUTS` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NULL DEFAULT NULL COMMENT 'Web Layouts ACL' AFTER `ALLOW_CAMS`,
   CHANGE `FORCED_SAVING_LIMIT` `MAX_FORCED_REC_MINUTES` INT NULL DEFAULT NULL COMMENT 'in minutes',
   CHANGE `SESSIONS_PER_CAM` `MAX_MEDIA_SESSIONS_NB` INT NULL DEFAULT NULL,
   CHANGE `LIMIT_FPS` `MAX_VIDEO_FPS` varchar(5) CHARACTER SET ascii COLLATE ascii_bin DEFAULT NULL,
   CHANGE `NONMOTION_FPS` `MAX_VIDEO_NONMOTION_FPS` varchar(5) CHARACTER SET ascii COLLATE ascii_bin DEFAULT NULL,
   CHANGE `LIMIT_KBPS` `MAX_MEDIA_SESSION_RATE_KB` INT NULL DEFAULT NULL ,
   CHANGE `SESSION_TIME` `MAX_MEDIA_SESSION_MINUTES` INT NULL DEFAULT NULL COMMENT 'in minutes',
   CHANGE `SESSION_VOLUME` `MAX_MEDIA_SESSION_VOLUME_MB` INT NULL DEFAULT NULL COMMENT 'in MBytes',
   CHANGE `LONGNAME` `LONGNAME` varchar(50) NOT NULL,
   CHANGE `CHANGE_HOST` `CHANGE_HOST` varchar(60) NOT NULL,
   CHANGE `CHANGE_USER` `CHANGE_USER` varchar(16) NOT NULL;

ALTER TABLE `MONITORS`
   CHANGE `BIND_MAC` `BIND_MAC` varchar(17) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
   CHANGE `MON_TYPE` `MON_TYPE` varchar(16) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
   CHANGE `MON_NAME` `MON_NAME` varchar(16) NOT NULL,
   CHANGE `IS_DEFAULT` `IS_DEFAULT` int  NOT NULL DEFAULT '0',
   CHANGE `WIN1` `WIN1` int  NULL DEFAULT NULL,
   CHANGE `WIN2` `WIN2` int  NULL DEFAULT NULL,
   CHANGE `WIN3` `WIN3` int  NULL DEFAULT NULL,
   CHANGE `WIN4` `WIN4` int  NULL DEFAULT NULL,
   CHANGE `WIN5` `WIN5` int  NULL DEFAULT NULL,
   CHANGE `WIN6` `WIN6` int  NULL DEFAULT NULL,
   CHANGE `WIN7` `WIN7` int  NULL DEFAULT NULL,
   CHANGE `WIN8` `WIN8` int  NULL DEFAULT NULL,
   CHANGE `WIN9` `WIN9` int  NULL DEFAULT NULL,
   CHANGE `WIN10` `WIN10` int  NULL DEFAULT NULL,
   CHANGE `WIN11` `WIN11` int  NULL DEFAULT NULL,
   CHANGE `WIN12` `WIN12` int  NULL DEFAULT NULL,
   CHANGE `WIN13` `WIN13` int  NULL DEFAULT NULL,
   CHANGE `WIN14` `WIN14` int  NULL DEFAULT NULL,
   CHANGE `WIN15` `WIN15` int  NULL DEFAULT NULL,
   CHANGE `WIN16` `WIN16` int  NULL DEFAULT NULL,
   CHANGE `WIN17` `WIN17` int  NULL DEFAULT NULL,
   CHANGE `WIN18` `WIN18` int  NULL DEFAULT NULL,
   CHANGE `WIN19` `WIN19` int  NULL DEFAULT NULL,
   CHANGE `WIN20` `WIN20` int  NULL DEFAULT NULL,
   CHANGE `WIN21` `WIN21` int  NULL DEFAULT NULL,
   CHANGE `WIN22` `WIN22` int  NULL DEFAULT NULL,
   CHANGE `WIN23` `WIN23` int  NULL DEFAULT NULL,
   CHANGE `WIN24` `WIN24` int  NULL DEFAULT NULL,
   CHANGE `WIN25` `WIN25` int  NULL DEFAULT NULL,
   CHANGE `WIN26` `WIN26` int  NULL DEFAULT NULL,
   CHANGE `WIN27` `WIN27` int  NULL DEFAULT NULL,
   CHANGE `WIN28` `WIN28` int  NULL DEFAULT NULL,
   CHANGE `WIN29` `WIN29` int  NULL DEFAULT NULL,
   CHANGE `WIN30` `WIN30` int  NULL DEFAULT NULL,
   CHANGE `WIN31` `WIN31` int  NULL DEFAULT NULL,
   CHANGE `WIN32` `WIN32` int  NULL DEFAULT NULL,
   CHANGE `CHANGE_HOST` `CHANGE_HOST` varchar(60) NOT NULL,
   CHANGE `CHANGE_USER` `CHANGE_USER` varchar(16) NOT NULL,
   ADD `WIN33` INT NULL AFTER `WIN32`,
   ADD `WIN34` INT NULL AFTER `WIN33`,
   ADD `WIN35` INT NULL AFTER `WIN34`,
   ADD `WIN36` INT NULL AFTER `WIN35`,
   ADD `WIN37` INT NULL AFTER `WIN36`,
   ADD `WIN38` INT NULL AFTER `WIN37`,
   ADD `WIN39` INT NULL AFTER `WIN38`,
   ADD `WIN40` INT NULL AFTER `WIN39`;

RENAME TABLE `MONITORS`  TO `LOCAL_LAYOUTS`;

CREATE TABLE IF NOT EXISTS `TREE_EVENTS` (
  `BYHOUR` char(13)  CHARACTER SET ascii COLLATE ascii_bin NOT NULL ,
  `CAM_NR` int(11) NOT NULL,
  `IMAGE_COUNT` int NOT NULL DEFAULT 0,
  `IMAGE_SIZE` int NOT NULL DEFAULT 0,
  `VIDEO_COUNT` int NOT NULL DEFAULT 0,
  `VIDEO_SIZE` int NOT NULL DEFAULT 0,
  `AUDIO_COUNT` int NOT NULL DEFAULT 0,
  `AUDIO_SIZE` int NOT NULL DEFAULT 0,
  `LAST_UPDATE` datetime NOT NULL,
  PRIMARY KEY (`BYHOUR`,`CAM_NR`)
) ENGINE=MyISAM CHARSET=ascii COLLATE=ascii_bin;

CREATE TABLE IF NOT EXISTS `WEB_LAYOUTS` (
  `BIND_MAC` char(17) CHARACTER SET ascii NOT NULL,
  `MON_NR` int NOT NULL,
  `MON_TYPE` varchar(16) CHARACTER SET ascii NOT NULL,
  `SHORT_NAME` varchar(16) NOT NULL,
  `IS_DEFAULT` int NOT NULL DEFAULT '0',
  `PRINT_CAM_NAME` int DEFAULT NULL COMMENT 'true - print the cameras names; false - don not show',
  `PROPORTION` varchar(5) DEFAULT NULL COMMENT 'calc - to show with proportion; fs - to stretch to full screen',
  `RECONNECT_TOUT` int DEFAULT NULL COMMENT 'reconnect timeout in seconds',
  `WINS` varchar(700) NOT NULL,
  `CHANGE_HOST` varchar(60) NOT NULL,
  `CHANGE_USER` varchar(16) NOT NULL,
  `CHANGE_TIME` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`BIND_MAC`,`MON_NR`)
) ENGINE=MyISAM;
