BEGIN {
   SECNAME=section
   if ( SECNAME ~ /^[ \t]*$/ ) {
      print "Don't set or empty the necessary \"section\" variable!" > "/dev/stderr"
      exit 1
   }
   STRICT=strict
   BEQUIET=beqyuet
   LL=""
   _SEC=-1
   secstart_regexp="^[ \t]*"SECNAME"[ \t]*{"
}

{
   if ( _SEC <= 0 ) {
      if ( $0 ~ secstart_regexp ) {
         _SEC=1
         next
      }
   } else {
      if ( /^[ \t]*$/ || /^[ \t]*[;#]/ )
         next

      if ( /\}[ \t]*$/ )
         _SEC--
      else if ( /{/ )
         _SEC++

      next
   }

   if ( STRICT ) {
      if ( $0 ~ /^[ \t]*$/ || $0 ~ /^[ \t]*[;#]/ )
         next
   }
   if ( $0 ~ /^[ \t]*$/ && LL ~ /^[ \t]*$/ ) {
      LL=$0
      next
   } else
      LL=$0
   print
}

