BEGIN {
   SECNAME=section
   if ( SECNAME ~ /^[ \t]*$/ ) {
      print "Don't set or empty the necessary \"section\" variable!" > "/dev/stderr"
      exit 1
   }
   STRICT=strict
   BEQUIET=beqyuet
   LL=""
   _SEC=-1
   secstart_regexp="^[ \t]*"SECNAME"[ \t]*{"
}

{
   if ( $0 ~ /^[ \t]*$/ && LL ~ /^[ \t]*$/ ) {
      LL=$0
      next
   } else
      LL=$0

   if ( _SEC <= 0 ) {
      if ( $0 ~ secstart_regexp ) {
         _SEC=1
         print
      }
   } else {
      if ( /^[ \t]*$/ || /^[ \t]*[;#]/ ) {
         if ( ! STRICT )
            print
         next
       }

      if ( /\}[ \t]*$/ ) {
         _SEC--
         #print "-- ",_SEC
         print
      } else if ( /{/ ) {
         _SEC++
         print 
         #print "++ ", _SEC
      } else
         print
   }
}

END {
   if ( _SEC < 0 ) {
      if ( ! BEQYUET )
         print "Could not find valid \""SECNAME" {...}\" section in the input file \""FILENAME"\"!" > "/dev/stderr"
      exit 1
   }
}

