BEGIN {
   if ( param ~ /^[ \t]*$/ ) {
      print "Don't set or empty the necessary \"param\" variable!" > "/dev/stderr"
      exit 1
   }
   APPEND_COMMENT="# Below line was inserted by `update-avreg.conf update ...'"
   PARNAME=param
   if ( old_param ~ /^[ \t]*$/ )
      OLD_PARNAME=PARNAME
   else
      OLD_PARNAME=old_param
   PARVAL=value
   val_len = length(PARVAL)
   FORCE=force
   if ( FORCE ) {
      if ( val_len > 0 )
         find_old_regexp="^[ \t]*[;#]?[ \t]*"OLD_PARNAME"[ \t]*="
      else
         find_old_regexp="^[ \t]*[;#]?[ \t]*"OLD_PARNAME"[ \t]*$"
   } else {
      if ( val_len > 0 )
         find_old_regexp="^[ \t]*"OLD_PARNAME"[ \t]*="
      else
         find_old_regexp="^[ \t]*"OLD_PARNAME"[ \t]*$"
   }
   modified=0
   in_global=1
}

{
   if ( ! in_global ) {
      print
      next
   }
    
   if ( /\{[ \t]*$/ ) {
      in_global=0
      if ( FORCE && !modified ) {
         print APPEND_COMMENT
         if ( val_len > 0 )
            print PARNAME" = \""PARVAL"\""
         else
            print PARNAME
         printf "\n"
         modified=1
      }
   } else if ( $0 ~ find_old_regexp ) {
      if ( val_len > 0 )
         print PARNAME" = \""PARVAL"\""
      else
         print PARNAME
      modified=1
      next
   }
   print
}

END {
   if ( FORCE && !modified ) {
      print APPEND_COMMENT
      if ( val_len > 0 )
         print PARNAME" = \""PARVAL"\""
      else
         print PARNAME
      printf "\n"
      modified=1
   }
}
