BEGIN {
   if ( section ~ /^[ \t]*$/ ) {
      print "Don't set or empty the necessary \"section\" variable!" > "/dev/stderr"
      exit 1
   }
   SECNAME=section
   if ( param ~ /^[ \t]*$/ ) {
      print "Don't set or empty the necessary \"param\" variable!" > "/dev/stderr"
      exit 1
   }
   PARNAME=param
   if ( old_param ~ /^[ \t]*$/ )
      OLD_PARNAME=PARNAME
   else
      OLD_PARNAME=old_param
   PARVAL=value
   val_len = length(PARVAL)
   FORCE=force
   if ( FORCE ) {
      if ( val_len > 0 )
         find_old_regexp="^[ \t]*[;#]?[ \t]*"OLD_PARNAME"[ \t]*="
      else
         find_old_regexp="^[ \t]*[;#]?[ \t]*"OLD_PARNAME"[ \t]*$"
   } else {
      if ( val_len > 0 )
         find_old_regexp="^[ \t]*"OLD_PARNAME"[ \t]*="
      else
         find_old_regexp="^[ \t]*"OLD_PARNAME"[ \t]*$"
   }
   secstart_regexp="^[ \t]*"SECNAME"[ \t]*{"
   modified=0
   in_section=0
}

{
   if ( !in_section ) {
      if ( $0 ~ secstart_regexp )
         in_section=1
      print
      next
   }
   # in section
   if ( /^[ \t]*\}[ \t]*$/ ) {
      in_section=0
      if ( FORCE && !modified ) {
         print "   # Below line was inserted by `update-avreg.conf update ...'"
         if ( val_len > 0 )
            print "   "PARNAME" = \""PARVAL"\""
         else
            print "   "PARNAME
         modified=1
      }
   } else if ( $0 ~ find_old_regexp ) {
      if ( val_len > 0 )
         print "   "PARNAME" = \""PARVAL"\""
      else
         print "   "PARNAME
      modified=1
      next
   }
   print
}

